Subject: [Sigtran] M3UA-v02 Last Call Comment: Reference to PSTN.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 May 2004 19:51:08 -0600

There are a number of references to the PSTN in the document.  PSTN
is an American term and surely does not represent the only network
using SS7 (for example, the PLMTS or GSM network is not the PSTN).
PSTN is also not defined.  PSTN was only useful with respect to CIC,
but still questionable.  The offending passages are:

|1.2 Terminology
|
|   Application Server (AS) - A logical entity serving a specific Routing
|   Key.  An example of an Application Server is a virtual switch element
|   handling all call processing for a unique range of PSTN trunks,
|   identified by an SS7 SIO/DPC/OPC/CIC_range.  Another example is a
|   virtual database element, handling all HLR transactions for a
|   particular SS7 DPC/OPC/SCCP_SSN combination.  The AS contains a set
|   of one or more unique Application Server Processes, of which one or
|   more is normally actively processing traffic.  Note that there is a
|   1:1 relationship between an AS and a Routing Key.

The above was already mentioned under CIC and SSN removal.

|1.4.3.1 Signalling Gateway SS7 Layers
|
|   The SG is responsible for terminating MTP Level 3 of the SS7
|   protocol, and offering an IP-based extension to its users.
|
|   From an SS7 perspective, it is expected that the Signalling Gateway
|   transmits and receives SS7 Message Signalling Units (MSUs) to and
|   from the PSTN over a standard SS7 network interface, using the SS7
|   Message Transfer Part (MTP) [7,8,9] to provide reliable transport of
|   the messages.

Change "to and from the PSTN over a standard" to "over an".

|   Routing Context: n X 32-bit integers
|
|      ...
|
|      An Application Server Process may be configured to process traffic
|      for more than one logical Application Server.  From the
|      perspective of an ASP, a Routing Context defines a range of
|      signalling traffic that the ASP is currently configured to receive
|      from the SGP.  For example, an ASP could be configured to support
|      call processing for multiple ranges of PSTN trunks and therefore
|      receive related signalling traffic, identified by separate SS7
|      DPC/OPC/SI ranges.

Mentioned previously.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran